Portfolio

Create a tenant

POST/portfolio/tenants

Provisions a new tenant organization. This creates the tenant record, its dedicated database schema, and runs migrations against it.

Request body

application/json, required · PortfolioStoreTenantRequest

  • namestringRequired#
  • databasestring#
  • geographiesstring[]#
{
  "name": "string",
  "database": "string",
  "geographies": [
    "string"
  ]
}

Responses

200
{}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/tenants\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "name": "string",
  "database": "string",
  "geographies": [
    "string"
  ]
}'